/*
 * JPA DAO Template
 *
 *
 * Takatuka - Template fuer JPA DAO
 *
 */

package de.ivu.elect.business.kandidatur.boundary;

import de.ivu.elect.business.kandidatur.entity.Ersatzkandidatur;

@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class ErsatzkandidaturDAO extends AbstractErsatzkandidaturDAO {

  private static final long serialVersionUID = 1L;

  @javax.inject.Inject
  private transient de.ivu.elect.jee.entity.SimpleDAO simpleDAO;

  @Override
  protected javax.persistence.EntityManager getEntityManager() {
    return simpleDAO.getEntityManager();
  }

  public void persist(Ersatzkandidatur ersatzkandidatur){
    getEntityManager().persist(ersatzkandidatur);
  }

  public void remove(Ersatzkandidatur ersatzkandidatur){
    getEntityManager().remove(ersatzkandidatur);
  }

@javax.inject.Inject
private transient de.ivu.elect.presentation.system.DAOCache daoCache;


@Override
public void clear() {
super.clear();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}

}

@Override
public void flush() {
super.flush();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}
}



}